com.tibbo.aggregate.common.sql

## Class NotExistSqlColumn

- java.lang.Object
- - com.tibbo.aggregate.common.sql.NotExistSqlColumn

- All Implemented Interfaces:
    SqlColumn

      public class NotExistSqlColumn
      extends java.lang.Object
      implements SqlColumn

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SqlColumn` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotExistSqlColumn()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataType()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParentPrimaryColumnName()`
    `java.lang.String` | `getRealName()`
    `java.lang.String` | `getReferencedTableName()`
    `SqlTable` | `getTable()`
    `java.lang.String` | `getTypeName()`
    `boolean` | `isAutoIncrement()`
    `boolean` | `isDataBlock()`
    `boolean` | `isForeignKey()`
    `boolean` | `isNullable()`
    `boolean` | `isNumber()`
    `boolean` | `isPrimaryKey()`
    `boolean` | `isString()`
    `void` | `setParentPrimaryColumnName(java.lang.String parentPrimaryColumnName)`
    `void` | `setPrimaryKey(boolean pk)`
    `void` | `setReferencedTableName(java.lang.String parentTableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final SqlColumn INSTANCE

  - ### Constructor Detail

    - #### NotExistSqlColumn

          public NotExistSqlColumn()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `SqlColumn`

    - #### isPrimaryKey

          public boolean isPrimaryKey()

      Specified by:
        `isPrimaryKey` in interface `SqlColumn`

    - #### isForeignKey

          public boolean isForeignKey()

      Specified by:
        `isForeignKey` in interface `SqlColumn`

    - #### getTypeName

          public java.lang.String getTypeName()

      Specified by:
        `getTypeName` in interface `SqlColumn`

    - #### isNullable

          public boolean isNullable()

      Specified by:
        `isNullable` in interface `SqlColumn`

    - #### getRealName

          public java.lang.String getRealName()

      Specified by:
        `getRealName` in interface `SqlColumn`

    - #### getTable

          public SqlTable getTable()

      Specified by:
        `getTable` in interface `SqlColumn`

    - #### getDataType

          public int getDataType()

      Specified by:
        `getDataType` in interface `SqlColumn`

    - #### setReferencedTableName

          public void setReferencedTableName(java.lang.String parentTableName)

      Specified by:
        `setReferencedTableName` in interface `SqlColumn`

    - #### setParentPrimaryColumnName

          public void setParentPrimaryColumnName(java.lang.String parentPrimaryColumnName)

      Specified by:
        `setParentPrimaryColumnName` in interface `SqlColumn`

    - #### getReferencedTableName

          public java.lang.String getReferencedTableName()

      Specified by:
        `getReferencedTableName` in interface `SqlColumn`

    - #### getParentPrimaryColumnName

          public java.lang.String getParentPrimaryColumnName()

      Specified by:
        `getParentPrimaryColumnName` in interface `SqlColumn`

    - #### setPrimaryKey

          public void setPrimaryKey(boolean pk)

      Specified by:
        `setPrimaryKey` in interface `SqlColumn`

    - #### isAutoIncrement

          public boolean isAutoIncrement()

      Specified by:
        `isAutoIncrement` in interface `SqlColumn`

    - #### isNumber

          public boolean isNumber()

      Specified by:
        `isNumber` in interface `SqlColumn`

    - #### isString

          public boolean isString()

      Specified by:
        `isString` in interface `SqlColumn`

    - #### isDataBlock

          public boolean isDataBlock()

      Specified by:
        `isDataBlock` in interface `SqlColumn`